package com.java2s.common;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

@Entity
@Table(name="EMP")
public class Person {
	@Id
  @Column(name = "EMP_ID")
  private long id;
	
	@Column(length=40)
	private String name;
	private String surname;
	
  @Column(name = "START_DATE", columnDefinition = "DATE DEFAULT CURRENT_DATE")
  private java.sql.Date startDate;
  
	public Person() {}

	public Person(String name, String surname) {
		this.name = name;
		this.surname = surname;
	}
	
	public java.sql.Date getStartDate() {
    return startDate;
  }

  public void setStartDate(java.sql.Date startDate) {
    this.startDate = startDate;
  }

  public Long getId() {
		return id;
	}
	public void setId(Long id) {
		this.id = id;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public String getSurname() {
		return surname;
	}
	public void setSurname(String surname) {
		this.surname = surname;
	}

  @Override
  public String toString() {
    return "Person [id=" + id + ", name=" + name + ", surname=" + surname
        + ", startDate=" + startDate + "]";
  }

}